import request from '@/utils/request'

// 查询通话记录列表
export function listCompanyVoiceLogs(query) {
  return request({
    url: '/company/companyVoiceLogs/list',
    method: 'get',
    params: query
  })
}

// 查询通话记录详细
export function getCompanyVoiceLogs(voiceId) {
  return request({
    url: '/company/companyVoiceLogs/' + voiceId,
    method: 'get'
  })
}

// 新增通话记录
export function addCompanyVoiceLogs(data) {
  return request({
    url: '/company/companyVoiceLogs',
    method: 'post',
    data: data
  })
}

// 修改通话记录
export function updateCompanyVoiceLogs(data) {
  return request({
    url: '/company/companyVoiceLogs',
    method: 'put',
    data: data
  })
}

// 删除通话记录
export function delCompanyVoiceLogs(voiceId) {
  return request({
    url: '/company/companyVoiceLogs/' + voiceId,
    method: 'delete'
  })
}

// 导出通话记录
export function exportCompanyVoiceLogs(query) {
  return request({
    url: '/company/companyVoiceLogs/export',
    method: 'get',
    params: query
  })
}